const path = require('path');
function resolve(dir) {
    return path.resolve(__dirname, dir)
}
module.exports = {
  devServer:{
    port: 8091,
    hot: true,
    open: 'Google Chrome'
  },
  pages: {
      index: {
          entry: 'examples/main.js',
          template: 'public/index.html',
          filename: 'index.html',
      },
  },
  productionSourceMap: false,
  outputDir: 'lib',
  chainWebpack: config => {
    config.module
        .rule('js')
        .include
        .add('/packages')
        .end()
        .use('babel')
        .loader('babel-loader')
        .tap(options => {
            return options
        })
      },
      configureWebpack: {
        resolve: {
            extensions: ['.js', '.vue', '.json'],
            alias: {
                '@': resolve('packages'),
                'assets': resolve('examples/assets'),
                'views': resolve('examples/views'),
            }
        }, 
        output: {
          libraryExport: 'default'
      }
    },
    css: {
      extract: false,
  },
  configureWebpack: {
    output: {
        libraryExport: 'default'
    }
  },
}